Page MenuHomePhabricator

Digitally sign AWB
Open, Needs TriagePublic

Description

https://en.wikipedia.org/wiki/Wikipedia_talk:AutoWikiBrowser#AWB_5.7.0.0_not_digitally_signed

(Merged duplicate request)

AWB should be digitally signed for security and integrity reasons. Also Windows 10 "Secure Guard" now requires all applications to be signed. Note that a Wikimedia grant may be available if there is a cost involved.

Event Timeline

Magioladitis raised the priority of this task from to Needs Triage.
Magioladitis updated the task description. (Show Details)
Magioladitis added a project: AutoWikiBrowser.
Magioladitis added a subscriber: Magioladitis.
Restricted Application added subscribers: Josve05a, Aklapper. · View Herald TranscriptJul 15 2015, 10:57 PM
Magioladitis updated the task description. (Show Details)Jul 16 2015, 6:11 AM
Magioladitis set Security to None.

Is this thing about the same thing as with Huggle's task T105560? If so, can't WIkimedia pay (grant) for things like this for approved applications or something, if it is needed for multiple tools.

Reedy added a comment.EditedJul 17 2015, 12:19 AM

Is this thing about the same thing as with Huggle's task T105560? If so, can't WIkimedia pay (grant) for things like this for approved applications or something, if it is needed for multiple tools.

Yes... @Quiddity sent me an email about this. Will have a look at what he sent (can't get onto my WMF email atm)

Meno25 added a subscriber: Meno25.Jul 17 2015, 8:07 AM
Josve05a moved this task from Backlog to Other stuff on the AutoWikiBrowser board.Jul 17 2015, 9:31 AM
Meno25 removed a subscriber: Meno25.Feb 22 2016, 5:35 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 22 2016, 5:35 PM